Name: iplog
Version: 2.2.3
Release: alt5

Summary: Logs TCP, UDP, and ICMP connections to syslog.
License: GPL
Group: Monitoring
Url: http://ojnk.sourceforge.net

Source: http://download.sourceforge.net/ojnk/%name-%version.tar.bz2
Source1: iplogd.init
Source2: iplog.conf
Source3: iplog.logrotate

Patch: %name-2.2.3-alt-makefile.patch
Patch1: %name-iplog_options-alt.patch

Prefix: %prefix

BuildPreReq: autoconf_2.13 automake_1.4 libtool_1.4 
# Automatically added by buildreq on Mon Jan 19 2004
BuildRequires: libpcap-devel libpopt-devel getopt

%description
Iplog is a TCP/IP traffic logger. Currently, it is capable of logging
TCP, UDP and ICMP traffic.  Adding support for other protocols
should be relatively easy.  Iplog contains a built-in packet filter,
allowing for logging or excluding packets that fit a given set of
criteria.

%set_autoconf_version 2.13
%set_automake_version 1.4
%set_libtool_version 1.4

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
libtoolize --copy --force
aclocal
autoheader
autoconf
automake
%configure
%make_build

%install
%makeinstall
mkdir -p %buildroot/etc/{logrotate.d,rc.d/init.d}
mkdir -p %buildroot/var/run/iplog
mkdir -p %buildroot/var/log/iplog

install -m 755 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d/iplogd
install -m 644 %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/logrotate.d/iplog
install -m 644 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/iplog.conf

%pre
    /usr/sbin/groupadd -r -f iplog &>/dev/null
    /usr/sbin/useradd -r -n -g iplog -d /dev/null -s /dev/null -c "IPLOG Pseudo user" iplog \
    &>/dev/null ||:

%preun
%preun_service iplogd

%post
%post_service iplogd


%files
%config(noreplace) %_sysconfdir/iplog.conf
%config(noreplace) /etc/logrotate.d/iplog
%config %{_initdir}/iplogd
%attr(0770,root,iplog) %dir /var/run/iplog
%attr(0775,root,iplog) %dir /var/log/iplog

%_sbindir/*
%_mandir/man?/*
%doc AUTHORS NEWS README TODO

%changelog
* Wed Feb 18 2004 Victor V Ismakaev <ivv@altlinux.ru> 2.2.3-alt5
- fixed error with long strings (for gcc 3.3)

* Tue Oct 07 2003 Victor V Ismakaev <ivv@altlinux.ru> 2.2.3-alt4
- added init script
- added logrotate macros
- added default config file


* Mon Nov 18 2002 Rider <rider@altlinux.ru> 2.2.3-alt3
- rebuild

* Tue Apr 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.2.3-alt2
- Fixed build.
- Rebuilt with libpcap-0.7.1.

* Mon May 14 2001 Sergie Pugachev <fd_rag@altlinux.ru> 2.2.3-alt1
- new version

* Sun Jan 21 2001 Dmitry V. Levin <ldv@fandra.org> 2.2.1-ipl2mdk
- RE adaptions.

* Fri Jul 21 2000 Warly <warly@mandrakesoft.com> 2.2.1-1mdk
- new release

* Tue Jul 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.0-1mdk
- new release
- use new macros

* Sat Mar 25 2000 Warly <warly@mandrakesoft.com> 2.1.1-1mdk
- v2.1.1
- spechelper
- new group:

* Tue Feb 15 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v2.1.0

* Fri Jan 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-1mdk
- First spec file for Mandrake distribution.

# end of file

